Skip to main content
GET
List invoices

Authorizations

Authorization
string
header
required

Oauth 2.0 authentication

Query Parameters

page
integer
default:1

The page number to be retrieved, for the list of templates. So, a combination of page=1 and page_size=20 returns the first 20 templates. A combination of page=2 and page_size=20 returns the next 20 templates.

Required range: 1 <= x <= 1000
page_size
integer
default:20

The maximum number of templates to return in the response.

Required range: 1 <= x <= 100
total_required
boolean
default:false

Indicates whether the to show total_pages and total_items in the response.

fields
string
default:all

The fields to return in the response. Value is all or none. To return only the template name, ID, and default attributes, specify none.

Maximum string length: 2147483647
Pattern: ^(all|none)$

Response

A successful request returns the HTTP 200 OK status code and a JSON response body that lists invoices with details.

An array of merchant invoices. Includes the total invoices count and HATEOAS links for navigation.

total_pages
integer
read-only

The total number of pages that are available for the search criteria.

Note: Clients MUST NOT assume that the value of total_pages is constant. The value MAY change from one request to the next

Required range: 0 <= x <= 2147483647
total_items
integer
read-only

The total number of invoices that match the search criteria.

Note: Clients MUST NOT assume that the value of total_items is constant. The value MAY change from one request to the next.

Required range: 0 <= x <= 2147483647
items
Invoice · object[]
read-only

The list of invoices that match the search criteria.

Maximum array length: 100

An array of request-related HATEOAS links.

Maximum array length: 2147483647